lua-torch-xlua_0~20160719-g41308fe-7_all.deb


Advertisement

Description

lua-torch-xlua - Lua Extension Package for Torch Framework

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename lua-torch-xlua_0~20160719-g41308fe-7_all.deb
Package name lua-torch-xlua
Package version 0~20160719
Package release g41308fe-7
Package architecture all
Package type deb
Category interpreters
Homepage https://github.com/torch/xlua
License -
Maintainer Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Download size 11.93 KB
Installed size 52.00 KB
Lua is pretty compact in terms of built-in functionalities:
this package extends the table and string libraries,
and provide other general purpose tools (progress bar, ...).
This package ships a set of useful extensions to Lua for Torch Framework.

Alternatives

Package Version Architecture Repository
lua-torch-xlua_0~20160719-g41308fe-7_all.deb 0~20160719 all Debian Main
lua-torch-xlua - - -

Requires

Name Value
lua-torch-sys -
lua-torch-torch7 -
lua5.1 -
luajit -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lua-torch-xlua_0~20160719-g41308fe-7_all.deb
Source Package lua-torch-xlua

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-torch-xlua deb package:
    # sudo apt-get install lua-torch-xlua

Files

Path
/usr/share/doc/lua-torch-xlua/README.md
/usr/share/doc/lua-torch-xlua/changelog.Debian.gz
/usr/share/doc/lua-torch-xlua/copyright
/usr/share/lua/5.1/xlua/OptionParser.lua
/usr/share/lua/5.1/xlua/Profiler.lua
/usr/share/lua/5.1/xlua/init.lua

Changelog

2018-04-20 - Mo Zhou <cdluminate@gmail.com>
lua-torch-xlua (0~20160719-g41308fe-7) unstable; urgency=medium
* Add watch file to monitor upstream master branch.
* Bump Standards-Version to 4.1.4 . (no change)
2018-02-13 - Mo Zhou <cdluminate@gmail.com>
lua-torch-xlua (0~20160719-g41308fe-6) unstable; urgency=medium
* Change Architecture back to all. Since i386 build was re-enabled
by lua-torch-torch7, this time the package should be able to migrate.
2018-01-20 - Mo Zhou <cdluminate@gmail.com>
lua-torch-xlua (0~20160719-g41308fe-5) unstable; urgency=medium
* Bump debhelper compat to 11.
* Bump Standards-Version to 4.1.3 (no change)
* Change Architecture from all to any to unblock migration.
* Update Vcs-* link to salsa.
2017-11-19 - Mo Zhou <cdluminate@gmail.com>
lua-torch-xlua (0~20160719-g41308fe-4) unstable; urgency=medium
* Ignore tput error message to avoid autopkgtest failure.
2017-10-26 - Mo Zhou <cdluminate@gmail.com>
lua-torch-xlua (0~20160719-g41308fe-3) unstable; urgency=medium
* Add runtime deps to B-D, to prevent the build if the runtime deps
are not available.
* Bump Standards-Version to 4.1.1 .
+ Use https link in copyright.
* Update my name in control and copyright.
2017-08-26 - Zhou Mo <cdluminate@gmail.com>
lua-torch-xlua (0~20160719-g41308fe-2) unstable; urgency=medium
* Add autopkgtest control file.
* Upload to unstable.
2017-05-20 - Zhou Mo <cdluminate@gmail.com>
lua-torch-xlua (0~20160719-g41308fe-1) experimental; urgency=medium
* Import upstream snapshot.
* Debhelper compat 10.
* Dependency package luajit is prior to lua5.1 .
2016-08-14 - Zhou Mo <cdluminate@gmail.com>
lua-torch-xlua (0~20160617-g0dd5f4c-1) experimental; urgency=low
* Initial release. Closes: #826793

See Also

Package Description
lua-unit_3.3-1_all.deb Lua unit testing framework
lua-uri-dev_0.1+20130926+git14fa255d-1_amd64.deb examples and test files for lua-uri
lua-uri_0.1+20130926+git14fa255d-1_amd64.deb pure Lua library to normalize and validate URIs/URLs
lua-wsapi-doc_1.6.1-1_all.deb wsapi documentation files for the Lua language
lua-wsapi-fcgi-dev_1.6.1-1+b11_amd64.deb wsapi fastcgi development files for the Lua language
lua-wsapi-fcgi_1.6.1-1+b11_amd64.deb Web server API fastcgi backend
lua-wsapi_1.6.1-1_all.deb Web server API abstraction layer for the Lua language
lua-xmlrpc_1.2.1-7_all.deb xmlrpc library for the Lua language
lua-yaml-dev_6.1-2_amd64.deb docs and test files for lua-yaml
lua-yaml_6.1-2_amd64.deb LibYAML binding for Lua
lua-zip-dev_1.2.3-12.1_amd64.deb zip development files for the Lua language
lua-zip_1.2.3-12.1_amd64.deb zip library for the Lua language
lua-zlib-dev_0.2+git+1+9622739-2.1_amd64.deb zlib development files for the Lua language
lua-zlib_0.2+git+1+9622739-2.1_amd64.deb zlib library for the Lua language
lua5.1-doc_5.1.5-8.1_all.deb Documentation for the Lua language version 5.1
Advertisement
Advertisement